package de.ugoe.cs.quest.test;

import de.ugoe.cs.quest.eventcore.gui.IInteraction;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 02.04.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public class DummyInteraction implements IInteraction {
    
    /**  */
    private static final long serialVersionUID = 1L;

    /** */
    private int interactionNumber;

    /** */
    private String interactionType;

    /**
     * @param interactionNumber
     * @param interactionType
     */
    public DummyInteraction(String interactionType, int interactionNumber) {
        super();
        this.interactionNumber = interactionNumber;
        this.interactionType = interactionType;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#getName()
     */
    public String getName() {
        return interactionType;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return interactionType;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#startsLogicalSequence()
     */
    public boolean startsLogicalSequence() {
        return false;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#finishesLogicalSequence()
     */
    public boolean finishesLogicalSequence() {
        return false;
    }

    /**
     * @return the interactionType
     */
    public String getInteractionType() {
        return interactionType;
    }

    /**
     * @return the interactionNumber
     */
    public int getInteractionNumber() {
        return interactionNumber;
    }

}
